آذر, ۱۳۹۷ بدون نظر آموزش

معرفی Gutenberg ویرایشگر بر اساس بلوک جدید
وردپرس ۵.۰ همراه با یک ویرایشگر کاملا جدید با نام Gutenberg نامگذاری شده است. این یک ویرایشگر مبتنی بر بلوک است که به کاربران اجازه می دهد پوسته های زیبا با استفاده از بلوک های محتوا ایجاد کنند.

ویرایشگر قدیمی وردپرس یک پنجره متنی ساده بود. در حالی که به خوبی کار می کرد، شما مجبور بودید از روش های مختلف برای اضافه کردن تصاویر، ایجاد گالری، کد کوتاه، تعبیه ویدئو و دیگر عناصر محتوا استفاده کنید.

ویرایشگر جدید آنها را با یک تجربه نوشتن ساده که هر عنصر محتوا در یک بلوک قرار می گیرد جای می دهد. شما می توانید آنها را در اطراف ویرایشگر تغییر دهید، تنظیمات خود را تغییر دهید و طرح های جذاب را بدون نوشتن کد ایجاد کنید.

به طور پیش فرض، آن را با چند بلوک برای اضافه کردن عناصر محتوا استفاده می شود. این شامل بلوک برای اضافه کردن تصاویر، صوتی، ویدئو، گالری عکس، تصویر پوشش، لیست، نقل قول، رسانه، متن، دکمه ها و …

اضافه کردن بلوک برای ایجاد محتوا

بلوک ها با نوار ابزار و تنظیمات به غیر از گزینه های قالب بندی اولیه می آیند، شما همچنین می توانید عرض، رنگ ها و سایر ویژگی ها را تغییر دهید.

ابزارک ها همچنین به عنوان بلوک های گنجانده شده اند، بنابراین شما می توانید به راحتی کد های کوتاه، پست های اخیر، نظرات اخیر، دسته ها و آرشیو ها را اضافه کنید.

اگر شما برای اضافه کردن کد کوتاه به مقالات خود تکیه کردید، می توانید آنها را به عنوان یک بلوک ادامه دهید.

ویرایشگر جدید همچنین باعث می شود که جاسازی ها بسیار ساده تر شوند. به سادگی بخش زیر را در زیر دکمه بلوک اضافه کنید و شما قادر خواهید بود همه گزینه های جاسازی شده پشتیبانی کنید.

این باعث می شود که فیلم ها، توییت ها و فیس بوک جالب تر شود. هر جاسازی بلاک خود است، بنابراین شما می توانید تنظیمات خود را درست مثل هر بلوک دیگر تنظیم کنید.

اگر شما احساس کنجکاوی توسط نوار کناری مدیر WordPress، پس از آن به سادگی به حالت تمام صفحه بدون حواس پرتی تغییر دهید. این نوار کناری مدیر WordPress را پنهان می کند و شما می توانید محتویات بیشتری را طراحی کنید.

شما همه ویژگی های ویرایش پست خود را به طور منظم در زیر نوار کناری می توانید پیدا کنید. این شامل انتشار و ذخیره گزینه ها، permalink یا post-slug، دسته ها و برچسب ها، گزیده ها و موارد دیگر است.

ایجاد و استفاده مجدد بلوک
اگر شما اغلب چیزهایی با همان سبک و یا محتوای اضافه می کنید، می توانید آنها را به عنوان بلوک های قابل استفاده مجدد ذخیره کنید تا بعدا در صورت نیاز مورد استفاده قرار گیرد.

به سادگی یک بلوک که می خواهید مجددا استفاده کنید را ویرایش کنید. هنگامی که از آن راضی هستید، روی نقاط منو در نوار ابزار بلوک کلیک کرده و گزینه «اضافه کردن به بلوک های قابل استفاده مجدد» را انتخاب کنید.

از شما خواسته خواهد شد که یک نام برای این بلوک تهیه کنید. پس از آن، وردپرس این را به عنوان یک بلوک قابل استفاده مجدد ذخیره خواهد کرد. شما می توانید آن را در زیر دکمه اضافه کردن بلوک و استفاده مجدد از آن در پست های دیگر.

ویرایش محتوای موجود پس از ارتقا به وردپرس ۵.۰
وردپرس ۵.۰ هیچ کدام از محتوای قدیمی شما را تحت تاثیر قرار نمیدهد و همچنان میتوانید مقالات قدیمی را ویرایش کنید. هنگام ویرایش یک مقاله قدیمی، محتوای شما را درون یک بلوک ویرایشگر “کلاسیک” پیچیده می بیند.

شما می توانید ویرایش مقاله را در داخل بلوک کلاسیک ادامه دهید. شما همچنین می توانید آن را به بلوک های متعدد شکستن است که به شما اجازه می دهد از تمام ویژگی های ویرایشگر جدید وردپرس استفاده کنید.

آیا می توانم از ویرایشگر قدیمی وردپرس استفاده کنم؟
بله، شما می توانید از ویرایشگر قدیمی وردپرس به سادگی با نصب و فعال سازی افزونه کلاسیک ویرایشگر استفاده کنید. برای جزئیات بیشتر، مراحل گام به گام راهنمای نحوه نصب پلاگین وردپرس را ببینید.

پس از فعال شدن، افزونه بلوک جدید مبتنی بر ویرایشگر را غیرفعال می کند و شما می توانید با استفاده از وردپرس با ویرایشگر قدیمی کلاسیک که مورد استفاده شماست استفاده کنید. برای اطلاعات بیشتر، مقاله ما را در مورد چگونگی غیرفعال کردن Gutenberg و ویرایشگر کلاسیک در WordPress مشاهده کنید.

بیست و نهم – جدید قالب پیش فرض وردپرس
وردپرس ۵.۰ با یک موضوع پیش فرض جدید به نام بیست و نه این یک تم وردپرس همه کاره و مینیمالیستی است که می تواند برای شروع یک وبلاگ یا ایجاد یک وب سایت استفاده شود.

بیست و نهم است که بر اساس موضوع شروع گوتنبرگ است که به این معنی است که کاملا با ویرایشگر وردپرس جدید سازگار است. این یک بوم تمیز با حداقل حواس پرتی را ارائه می دهد، که به شما آزادی اجازه می دهد تا با ویرایشگر جدید آزمایش کنید و پوسته های زیبا برای پست ها و صفحات وردپرس خود ایجاد کنید.

سازگاری وردپرس ۵.۰ با تم ها و پلاگین ها
وردپرس ۵.۰ تغییر بزرگی به نحوه ایجاد کاربران با استفاده از وردپرس می دهد. برای مدت زمان زیادی در حال توسعه است، که افزون و توسعه دهندگان تم را به زمان کافی برای آزمایش محصولات خود و اضافه کردن سازگاری برای ویرایشگر جدید ارائه می دهد.

پلاگین های مهم WordPress مانند WPForms و Yoast SEO هم اکنون با WordPress 5.0 و ویرایشگر جدید سازگار هستند.

تمام فروشگاه های برتر وردپرس نیز موضوعات خود را با ویرایشگر جدید سازگار ساخته اند.

با این حال اگر یک افزونه یا تم در وب سایت شما درست کار نکند، به آن افزونه یا توسعهدهنده تم بروید و از آنها بخواهید آنها را بهروزرسانی کنید.

منبع

برچسب ها

ارسال نظر شما

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *